package de.dass_it.vanhelsing.gui;

import javax.faces.event.ActionEvent;

public interface ViewBean {
	public DataTree getDataTree();
	public void setDataTree(DataTree dataTree);

	public void createNodeButtonListener(ActionEvent ae);
	public void readNodeButtonListener(ActionEvent ae);
	public void updateNodeButtonListener(ActionEvent ae);
	public void deleteNodeButtonListener(ActionEvent ae);
	public void selectNode(ActionEvent ae);
}
